IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[VSE_AddTaskHeuriticLogSensitivity45]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[VSE_AddTaskHeuriticLogSensitivity45]
GO


CREATE PROCEDURE [dbo].[VSE_AddTaskHeuriticLogSensitivity45]
(@JoiningID int)

AS
BEGIN
declare @Setting nvarchar(100)
Declare @AlreadyExist int
Declare @SearchSetting nvarchar(100)
Declare @SearchSection nvarchar(100)
Set @SearchSection = 'Advanced'
Set @SearchSetting = 'dwHeuristicLogSensitivity'
Set @AlreadyExist = 0


DECLARE TaskSettingsCursor CURSOR FORWARD_ONLY FOR
SELECT SettingName from [EPOTaskSettings] where ParentID = @JoiningID and SectionName = 'Advanced'

OPEN TaskSettingsCursor

FETCH NEXT FROM TaskSettingsCursor
INTO @Setting

WHILE (@@FETCH_STATUS = 0)
BEGIN

 If(@Setting = @SearchSetting)
	BEGIN
		SET @AlreadyExist = 1
	END
FETCH NEXT FROM TaskSettingsCursor
	INTO @Setting
END

CLOSE TaskSettingsCursor
DEALLOCATE TaskSettingsCursor
If @AlreadyExist <> 1
BEGIN
 INSERT INTO [EPOTaskSettings] ([ParentID]
           ,[SectionName]
           ,[SettingName]
           ,[Value])
       Values (@JoiningID,@SearchSection, @SearchSetting, '-1')
END
END
GO

IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[VSE_AddTaskHeuriticLogSensitivity]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
DROP PROCEDURE [dbo].[VSE_AddTaskHeuriticLogSensitivity]
GO

CREATE PROCEDURE [dbo].[VSE_AddTaskHeuriticLogSensitivity] ( @taskObjid int)
AS
BEGIN
Declare @Name nvarchar(100)
Declare @AlreadyExist int
Declare @SearchSetting nvarchar(100)
Declare @SearchSection nvarchar(100)
Set @SearchSection = 'Advanced'
Set @SearchSetting = 'dwHeuristicLogSensitivity'
Set @AlreadyExist = 0

Declare c2 CURSOR FORWARD_ONLY FOR
Select SettingName From [EPOTaskObjectSettings] where TaskObjectId  = @taskObjid and SectionName = @SearchSection
OPEN c2
FETCH NEXT FROM c2 INTO @Name

WHILE(@@FETCH_STATUS = 0)
BEGIN
	If(@Name = @SearchSetting)
	BEGIN
		SET @AlreadyExist = 1
	END
	FETCH NEXT FROM c2 INTO @Name
END

CLOSE c2
DEALLOCATE c2

If @AlreadyExist <> 1
BEGIN
	INSERT INTO [EPOTaskObjectSettings]([TaskObjectId]
      ,[SectionName]
      ,[SettingName]
      ,[SettingValue])VALUES(@taskObjid, @SearchSection, @SearchSetting, '-1')
END
END
GO


declare @Continue int
select @Continue = 1

if not exists(select ePOVersion from EPOServerInfo
				where ePOVersion like '4.0.%' or ePOVersion like'4.5.%')
begin
	select @Continue = 0
end

--Do this for epo 4.0 or 4.5
if @Continue=1
BEGIN
DECLARE @JoiningID int
DECLARE TaskTableCursor CURSOR FORWARD_ONLY READ_ONLY FOR
SELECT autoid from EPOTask where ProductCode = 'VIRUSCAN8800' and TaskType = 'VSC700_Scan_Task' and ParentType in (6,5,4,3,1)

OPEN TaskTableCursor
FETCH NEXT FROM TaskTableCursor
INTO @JoiningID

WHILE @@FETCH_STATUS = 0
BEGIN
EXEC [VSE_AddTaskHeuriticLogSensitivity45] @JoiningID

FETCH NEXT FROM TaskTableCursor
	INTO @JoiningID
END
CLOSE TaskTableCursor
DEALLOCATE TaskTableCursor

END

ELSE if @Continue=0
BEGIN -- EPO 4.6 and higher
Declare @taskObjid int
Declare c1 CURSOR FORWARD_ONLY FOR
SELECT TaskObjectId FROM [EPOTaskObjects]
							INNER JOIN EPOTaskTypes ON EPOTaskTypes.TaskTypeId = EPOTaskObjects.TaskTypeId
								WHERE (32 & TaskObjectFlag = 0)
									AND TaskType = 'VSC700_Scan_Task'
									AND ProductCode = 'VIRUSCAN8800'

OPEN c1
FETCH NEXT FROM c1 INTO @taskObjid

WHILE @@FETCH_STATUS =0
BEGIN
EXEC VSE_AddTaskHeuriticLogSensitivity @taskObjid

FETCH NEXT FROM c1 INTO @taskObjid
END

CLOSE c1
DEALLOCATE c1
END


